This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 120021 - /dev/ttyS* not in /etc/security/console.perms
/dev/ttyS* not in /etc/security/console.perms
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-05 06:31 EDT by Jeff Moe (jebba)
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-13 01:23:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Moe (jebba) 2004-04-05 06:31:24 EDT
Description of problem:
Serial devices like /dev/ttyS0, are not listed in
/etc/security/console.perms. This means that users that log in can't
do many things like use modems, gphoto with serial cameras, etc.
because they don't have permissions to the device. If they had
ownership when logged in, then they wouldn't have to chown/chmod the
device to use it. 


Version-Release number of selected component (if applicable):
This is true in RH9, FC1, FC2t2. I think it was true in 3.0.3 too. ;)


How reproducible:
Log in as a "regular" user. Run gphoto/gtkam/minicom or any other
program that is trying to access a serial device.


Actual results:
You can't see the device so you get nothing.


Expected results:
Photos from the camera, a connection to your ISP, whatever...


Additional info:
I think you just need to add this to /etc/security/console.perms
(untested):

<serial>=/dev/ttyS[0-9]*

<console>  0660 <serial>     0660 root.uucp
Comment 1 Bill Nottingham 2004-04-06 14:50:16 EDT
You don't want minicom run as the user anyways for dialout; it won't
be able to start PPP, for example.

/dev/camera is in console.perms, you just need a symlink.
Comment 2 Jeff Moe (jebba) 2004-04-06 15:18:56 EDT
The problem is that /I/ don't need a symlink, zillions of newbies do.
I can set it easily enough.

New users just see it as broken, which IMHO it is. If they have to
open xterm to set symlinks, chmod/chown, you just lost at least half
of them...

I see the problem with PPP, but ttyS* could still be owned by the
console owner, ya? This at least would get cameras going and any other
serial devices that don't require rootly apps.

Thanks. :)
Comment 3 Nalin Dahyabhai 2004-04-13 01:23:50 EDT
This can't be done safely, not with the information we have at
login-time, anyway.  There could be users dialed *in* over serial
lines, and changing permissions on their controlling terminals would
be a severe mistake.  Marking wontfix for that reason.

Note You need to log in before you can comment on or make changes to this bug.